//
// Created by HW on 2023/07/27.
//

#ifndef OFFICEASSISTANT_MAINSCREEN_H
#define OFFICEASSISTANT_MAINSCREEN_H

#include <QWidget>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include "mb.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainScreen; }
QT_END_NAMESPACE

class MainScreen : public QWidget {
Q_OBJECT

public:
    explicit MainScreen(QWidget *parent = nullptr);
    ~MainScreen() override;
public slots:
	void clickButton1(QString text, QString url);
private:
    Ui::MainScreen *ui;
	QHBoxLayout *layout;
	QVBoxLayout *layout_left;
	QPushButton *button;
	QIcon *icon;
	QWidget *broswer;
	mbWebView mbView;
private slots:
	void startWeChat();
};


#endif //OFFICEASSISTANT_MAINSCREEN_H
